﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 19/09/2022 10:52:41
-- Server version: 5.7.33
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica2mod1;

CREATE DATABASE IF NOT EXISTS practica2mod1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE practica2mod1;

--
-- Create table `coches`
--
CREATE TABLE IF NOT EXISTS coches (
  id int(11) NOT NULL AUTO_INCREMENT,
  marca varchar(100) DEFAULT NULL,
  fecha date DEFAULT NULL,
  precio float DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `clientes`
--
CREATE TABLE IF NOT EXISTS clientes (
  cod int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `comprados`
--
CREATE TABLE IF NOT EXISTS comprados (
  idcoches int(11) NOT NULL,
  codclientes int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (idcoches, codclientes)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `idcoches` on table `comprados`
--
ALTER TABLE comprados
ADD UNIQUE INDEX idcoches (idcoches);

--
-- Create foreign key
--
ALTER TABLE comprados
ADD CONSTRAINT fkcompradosclientes FOREIGN KEY (codclientes)
REFERENCES clientes (cod);

--
-- Create foreign key
--
ALTER TABLE comprados
ADD CONSTRAINT fkcompradoscoches FOREIGN KEY (idcoches)
REFERENCES coches (id);

-- 
-- Dumping data for table coches
--
INSERT INTO coches VALUES
(1, 'Renault', '2021-03-27', 3000),
(2, 'Kia', '2021-04-17', 4000),
(3, 'Toyota', '2020-12-23', 6000),
(4, 'Volkswagen', '2021-06-22', 5500);

-- 
-- Dumping data for table clientes
--
INSERT INTO clientes VALUES
(1, 'Marcos Perez'),
(2, 'Maria OViedo'),
(3, 'Raul Hernandez'),
(4, 'Martin Otero');

-- 
-- Dumping data for table comprados
--
INSERT INTO comprados VALUES
(1, 1),
(2, 2),
(3, 2),
(4, 4);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;